Bug 1286796 - nss.i686 conflicts with nss.x86_64
nss.i686 conflicts with nss.x86_64
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 13:27 EST by Vratislav Podzimek
Modified: 2016-12-20 11:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:26:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vratislav Podzimek 2015-11-30 13:27:30 EST
Description of problem:
When trying to update my Fedora 23 system I keep getting the following conflict:

Error: Transaction check error:
  file /usr/share/man/man5/cert8.db.5.gz from install of nss-3.21.0-1.1.fc23.i686 conflicts with file from package nss-3.21.0-1.0.fc23.x86_64
  file /usr/share/man/man5/cert9.db.5.gz from install of nss-3.21.0-1.1.fc23.i686 conflicts with file from package nss-3.21.0-1.0.fc23.x86_64
  file /usr/share/man/man5/key3.db.5.gz from install of nss-3.21.0-1.1.fc23.i686 conflicts with file from package nss-3.21.0-1.0.fc23.x86_64
  file /usr/share/man/man5/key4.db.5.gz from install of nss-3.21.0-1.1.fc23.i686 conflicts with file from package nss-3.21.0-1.0.fc23.x86_64
  file /usr/share/man/man5/pkcs11.txt.5.gz from install of nss-3.21.0-1.1.fc23.i686 conflicts with file from package nss-3.21.0-1.0.fc23.x86_64
  file /usr/share/man/man5/secmod.db.5.gz from install of nss-3.21.0-1.1.fc23.i686 conflicts with file from package nss-3.21.0-1.0.fc23.x86_64
Comment 1 Elio Maldonado Batiz 2015-12-01 11:08:26 EST
Tried dnf update --verbose --showduplicates nss.i686 but gives me nothing since my system is up to date. I then tried to reproduce by installing nss.i686 instead  but I can't. I started with this.
# rpm -q nss nss-tools 
nss-3.21.0-1.1.fc23.x86_64
nss-tools-3.21.0-1.1.fc23.x86_64

then I tryed dnf install --verbose --showduplicates nss.i686
and I got (slightly edited for clarity)
Dependencies resolved.
langpacks: enabled languages are ['en', 'en_US']
===============================================================================
 Package         Arch     Version            Repository      Size
===============================================================================
Installing:
 libgcc          i686   5.1.1-4.fc23         fedora          91 k
 libstdc++       i686   5.1.1-4.fc23         fedora          443 k
 ncurses-libs    i686   5.9-21.20150214.fc23 fedora          313 k
 nspr            i686   4.10.10-2.fc23       updates         139 k
 nss             i686   3.21.0-1.1.fc23      updates         871 k
 nss-softokn     i686   3.21.0-1.1.fc23      updates         325 k
 nss-util        i686   3.21.0-1.0.fc23      updates         82 k
 readline        i686   6.3-6.fc23           fedora          204 k
 sqlite          i686   3.9.0-1.fc23         updates         488 k
 zlib            i686   1.2.8-9.fc23         fedora          98 k

Transaction Summary
===============================================================================
Install  10 Packages

As you can see it didn't try to install nss-tools.i686 which is the subpackage containing the man pages. I was able to install without any problems and then do a remove just fine.
Comment 2 Elio Maldonado Batiz 2015-12-01 11:23:42 EST
Vratislav,  I assume that you started both the .86_64 and the .i686 packages and the problems was that the x86_64 where updated and subsequently the attempt to update the .i686 is what caused the conflict. There was a somewhat similar problem reported for f22, Bug 1224788 - Cant install nss-softokn.i686.
Take a look at https://bugzilla.redhat.com//show_bug.cgi?id=1224788#c5
Perhaps, as suggested there, 'dnf distro-sync' will solve your problem.
-Elio
Comment 3 Vratislav Podzimek 2015-12-02 08:23:19 EST
Hmm, for some reason, I had these packages on my system:
# rpm -q nss
nss-3.21.0-1.0.fc23.x86_64
nss-3.21.0-1.0.fc23.i686
nss-3.21.0-1.1.fc23.x86_64

After removing the first one (hard to say how and why it stayed on the system on previous updates) everything seems to be fine. So I think this can be closed as WORKSFORME because it seems like my system was in a weird state.
Comment 4 Pavel Alexeev 2015-12-09 12:34:03 EST
Duplicate of 1252315?
Comment 5 Fedora Admin XMLRPC Client 2016-08-15 11:53:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2016-11-24 08:51:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 11:26:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.